
%define kf5webkit_major 5
%define libkf5webkit %mklibname kf5webkit %{kf5webkit_major}
%define kf5webkit_devel %mklibname kf5webkit -d



Summary:        KDE Frameworks 5 Tier 3 integration module for WebKit
Name:           kdewebkit
Version: 		5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  attica-devel 
BuildRequires:  ki18n-devel 
BuildRequires:  kdbusaddons-devel 
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  kguiaddons-devel 
BuildRequires:  kservice-devel 
BuildRequires:  kwindowsystem-devel 
BuildRequires:  kitemviews-devel 
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kiconthemes-devel 
BuildRequires:  solid-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kxmlgui-devel 
BuildRequires:  kbookmarks-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  kwallet-devel 
BuildRequires:  kio-devel 
BuildRequires:  knotifications-devel 
BuildRequires:  kparts-devel 
BuildRequires:  kconfig-devel 
BuildRequires:  kauth-devel 
BuildRequires:  kcodecs-devel 
BuildRequires:  sonnet-devel 
BuildRequires:  kglobalaccel-devel 
BuildRequires:  kjobwidgets-devel 

%description
KDE Frameworks 5 Tier 3 integration module for WebKit

#--------------------------------------------------------------------
%package -n %libkf5webkit
Summary:  KDE Frameworks 5 Tier 3 integration module for WebKit
Group:        System/Libraries

%description -n %libkf5webkit
KDE Frameworks 5 Tier 3 integration module for WebKit

%files -n %libkf5webkit
%_kf5_libdir/libKF5WebKit.so.%{kf5webkit_major}*

#--------------------------------------------------------------------
%package -n %kf5webkit_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5webkit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5webkit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5webkit_devel
%_kf5_includedir/KDEWebKit
%_kf5_includedir/kdewebkit_version.h
%_kf5_libdir/cmake/KF5WebKit
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%changelog
* Wed Dec 12 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
